import { AppDispatch, AppState } from "./store/store"
import { useDispatch, useSelector, shallowEqual } from "react-redux"
import { useEffect, useState } from "react"
import { createProduct, getProductById, getProducts } from "./store/products/products.slice"
import Button from 'react-bootstrap/Button';
import Form from 'react-bootstrap/Form';
import 'bootstrap/dist/css/bootstrap.min.css';
import { Col, Container, Row } from "react-bootstrap";

const App = () => {

  const dispatch: AppDispatch = useDispatch()
  const {products, product, messageProducts} = useSelector(
    (state: AppState) => state.products, shallowEqual)
  useEffect(() => {
    // dispatch(getProductById('ea4f2bd1-2d5a-42ea-99e6-50a125bfe82d'))
    dispatch(getProducts())
    // dispatch(createProduct(
    //   {
    //     title: 'Orange', 
    //     price: 999, 
    //     description: 'This is an orange'
    //   }
    //   ))
  }, [])

  return (
    <>
      <h1>{messageProducts}</h1>
      {JSON.stringify(products)}
      <h1>Product by id: </h1>
      {JSON.stringify(product)}
    </>
  )
}

export default App
